﻿body {
    overflow-x:auto;
}

@media(min-width:767px) {
    .main-header .logo {
        width: 200px;
    }

    .main-header .navbar {
        margin-left: 200px;
    }

    .content-wrapper, .right-side, .main-footer {
        margin-left: 200px;
    }
}

@media (max-width:767px) {
    .sidebar-open .content-wrapper,
    .sidebar-open .right-side,
    .sidebar-open .main-footer {
        -webkit-transform: translate(200px, 0);
        -ms-transform: translate(200px, 0);
        -o-transform: translate(200px, 0);
        transform: translate(200px, 0);
    }

    .select2-container {
        display: block;
    }

    .pagination {
        display:block;
    }

    table.dataTable {
        margin-top:0 !important;
    }
}

.main-sidebar, .left-side {
    width: 200px;
}

#nprogress-container {
    margin-top: 1px;
    position: absolute;
    width: 100%;
    background-color: #fff;
}

.content-header {
    height: 40px;
    line-height: 40px;
    padding: 0;
    margin: 0 15px 15px 15px;
}

.breadcrumb,
.content-header > .breadcrumb {
    font-size: 13px;
    float: left;
    position: relative;
    top: 0;
    right: 0;
    padding: 0;
    width: 100%;
    border-bottom: 1px solid #eee;
    border-radius: unset;
    background:none;
}

.new-window {
    position: absolute;
    right: 5px;
}
.new-window a {
    color:#000;
}

.content-wrapper {
    background-color: #fff;
}

.btn:focus,
.btn:active:focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn.active.focus {
    outline: none;
    box-shadow: none;
}


.fqb-table tbody th, 
.fqb-table tbody td {
    vertical-align: middle;
}

.fqb-table > tbody > tr > td,
.fqb-table > tbody > tr > th,
.fqb-table > tfoot > tr > td,
.fqb-table > tfoot > tr > th,
.fqb-table > thead > tr > td,
.fqb-table > thead > tr > th {
    vertical-align: middle;
}

.fqb-table .td_right {
    text-align:right;
}

.fqb-table .td_center {
    text-align: center;
}

div.dataTables_processing {
    position: absolute;
    left: 0;
    top: 48px;
    width: 100%;
    height: 100%;
    text-align: center;
    background: rgba(255, 255, 255, 0.7);
    margin: 0;
    padding: 0;
}
div.div-loading {
    height: 50px;
    width: 100px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -50px;
    margin-top: -25px;
    font-size: 11px;
    color: #29d;
}
.dataTables_empty {
    text-align:center;
    height:50px;
}

.box {
    margin-bottom: 5px;
    border-bottom: 1px solid #eee;
    box-shadow: 0 0 5px rgba(0,0,0,0.1);
}

::-ms-clear {
    display: none;
}

.form-control-clear {
    z-index: 10;
    pointer-events: auto;
    cursor: pointer;
}

.sidebar-menu .treeview-menu > li > a {
    padding: 10px 5px 10px 35px;
}

.sidebar-menu .treeview > a {
    font-size: 14px;
}

.navbar-nav > .user-menu > .dropdown-menu {
    width:auto;
    min-width:124px;
    border-radius:0;
    border-color:#ddd;
}
.navbar-nav > .user-menu > .dropdown-menu > li > a:hover {
    background-color:#f4f4f4;
}

.navbar-nav > .user-menu > .dropdown-menu > li > a {
    text-align: center;
    /*height:37px;
    line-height:37px;
    padding:0;*/
    padding: 10px;
}

.navbar-nav > .user-menu > .dropdown-menu > .divider {
    margin:0;
}

.navbar-nav > .user-menu > a > .fa-angle-left {
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);
}

.navbar-nav > .user-menu.open > a > .fa-angle-left {
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg);
}

@media (max-width: 991px) {

    .navbar-custom-menu > .navbar-nav > li > .dropdown-menu {
        right:0;
    }
}

@media (max-width: 767px) {
    .skin-blue .main-header .navbar .dropdown-menu li a {
        color: inherit;
    }

    .skin-blue .main-header .navbar .dropdown-menu li a:hover {
        background: rgba(0,0,0,0.1);
    }
}

.btn-group .dropdown-menu {
    padding: 0;
    border: 1px solid rgba(0,0,0,.15);
    box-shadow: 2px 2px 8px rgba(0,0,0,0.2);
}
    .btn-group .dropdown-menu > li > a {
        padding: 7px 16px;
        display:block;
        clear:both;
        font-weight:normal;
        color:#333;
        white-space:nowrap;
        position:relative;
    }

.btn-group .dropdown-menu > li > a:hover {
    background-color:#f4f4f4;
}

.btn-group.open .dropdown-toggle {
    -webkit-box-shadow:none;
    box-shadow:none;
}

.btn-default:active:hover, 
.btn-default.active:hover, 
.open > .dropdown-toggle.btn-default:hover, 
.btn-default:active:focus, .btn-default.active:focus, 
.open > .dropdown-toggle.btn-default:focus, 
.btn-default:active.focus, 
.btn-default.active.focus, 
.open > .dropdown-toggle.btn-default.focus {
    background-color:#ebebeb;
    border-color:#adadad;
}

.jconfirm {
    z-index: 100;
}

.jconfirm .jconfirm-box div.jconfirm-title-custom {
    font-size: 15px;
    margin-top: -15px;
    margin-bottom: 15px;
    border-bottom: 1px solid #eee;
    margin-left: -15px;
    margin-right: -15px;
    padding-left: 15px;
}

.jconfirm .jconfirm-box div.jconfirm-title-c {
    line-height:35px;
}

.jconfirm .jconfirm-box div.jconfirm-title-c .jconfirm-icon-c {
    padding-bottom:0;
}

.jconfirm .jconfirm-box div.jconfirm-title-c .jconfirm-title {
    padding-bottom:0;
}

.jconfirm .jconfirm-box.jconfirm-type-blue .jconfirm-title-c .jconfirm-icon-c {
    color: #333 !important;
}

.jconfirm.jconfirm-white .jconfirm-box,
.jconfirm.jconfirm-light .jconfirm-box {
    -moz-box-shadow: 0px 0px 18px #666;
    -webkit-box-shadow: 0px 0px 18px #666;
    box-shadow: 0px 0px 18px #666;
}

.invoice-col .well {
    background-color:#fff;
}
.invoice-col address {
    margin-bottom:0;
}

@media (min-width: 768px) {
    .form-query .form-control {
        width: 200px;
    }

    .form-query.form-inline .input-group > .form-control {
        width: 200px;
    }
}

.form-query.form-inline .form-group {
    margin:10px 8px;
}

.form-query.form-inline .form-control {
    width: 200px;
}

.form-query.form-inline label {
    font-weight:normal;
}

.form-query .input-group-btn {
    display:block;
}

.content-header > .breadcrumb > li + li:before {
    content: "/\00a0";
}

/* flat 风格 统一设置无圆角 */
.jconfirm-box {
    border-radius: 0 !important;
}

.pagination {
    border-radius:0;
}

.pagination > li:last-child > a,
.pagination > li:last-child > span,
.pagination > li:first-child > a,
.pagination > li:first-child > span {
    border-radius:0;
}

.flatpickr-calendar,
.flatpickr-day {
    border-radius: 0;
}
/* flat 结束 */


/* 日期控件定制 */
.form-control-feedback.form-control-feedback-left {
    left: 15px;
    right: initial;
    z-index: 99;
}

.input-group .form-control-feedback.form-control-feedback-left {
    left:0;
}

.has-feedback .fqb-datepicker {
    padding-left:30px;
}

.fqb-datepicker[readonly] {
    background: #fff;
}

.flatpickr-calendar {
    width:210px;
}
.flatpickr-current-month span.cur-month {
    font-weight:500;
}
.flatpickr-current-month {
    font-size: 120%;
}
.flatpickr-weekdays {
    width:210px;
}
.flatpickr-days {
    width:210px;
}
.dayContainer {
    width:210px;
    min-width:210px;
    max-width:210px;
}
.flatpickr-day {
    max-width:30px;
    height:30px;
    line-height:30px;
}

.fqb-table .label {
    font-size: 85%;
}

.form-horizontal .form-group.has-error label,
.form-horizontal .form-group.has-success label {
    color: #333;
}

.form-horizontal .form-group .control-label {
    font-weight: normal;
    text-align: right;
    padding-right: 0;
}

.text-red {
    color: #dd4b39;
    font-weight:bold;
}


.checkbox label {
    padding-left: 0;
}

.checkbox label::before {
    margin-top: 1px;
}

.checkbox label::after {
    margin-top: 1px;
}

.mgr-10 {
    margin-right: 10px;
}
.mgr-15 {
    margin-right: 15px;
}
.mgr-20 {
    margin-right: 20px;
}

.mgl-10 {
    margin-left: 10px;
}

.mgl-15 {
    margin-left: 15px;
}

.mgl-20 {
    margin-left: 20px;
}



.form-edit.form-inline .control-label {
    font-weight: normal;
    width: 80px;
    text-align: right;
    color:#333;
}

.form-edit.form-inline .form-group {
    margin-bottom: 10px;
}

.form-edit .form-button {
    margin-bottom: 5px;
    margin-top: 10px;
    padding-left: 85px;
}

.form-edit.form-inline .checkbox-inline {
    padding-left: 4px;
    height: 34px;
    padding-top: 5px;
}

.form-edit legend {
    font-size:15px;
    padding:0 0 3px 0;
}

table.dataTable th.hide_order {
    padding-right:8px;
}


.pd5 {
    padding-left: 5px;
    padding-right: 5px;
}
.mg5 {
    margin-left: -5px;
    margin-right: -5px;
}

.fa-spin-table {
    -webkit-animation: fa-spin 800ms infinite linear;
    animation: fa-spin 800ms infinite linear;
}

div.dataTables_paginate ul.pagination {
    box-shadow: 0 0 8px rgba(0,0,0,0.1);
    margin-top: 5px;
}

table.table-bordered.dataTable {
    box-shadow: 0 0 8px rgba(0,0,0,0.1);
    border-collapse: collapse !important;
}

.table-bordered {
    border: 1px solid #dedede;
}

.table-bordered > thead {
    background-color: #f4f4f4;
    color: #777;
}

    .table-bordered > thead > tr > th,
    .table-bordered > tbody > tr > th,
    .table-bordered > tfoot > tr > th,
    .table-bordered > thead > tr > td,
    .table-bordered > tbody > tr > td,
    .table-bordered > tfoot > tr > td {
        border-right: 1px solid #dedede;
        border-top: 1px solid #dedede;
        border-left: none;
        border-bottom: none;
        /*white-space: nowrap;
        overflow: hidden;*/
        text-overflow: ellipsis;
    }

.table-bordered > thead > tr > th,
.table-bordered > thead > tr > td {
    border-left: none;
    border-bottom: none;
    line-height: 1.8;
    font-weight: normal;
}

_:-ms-lang(x),
table.table-bordered.dataTable {
    border-collapse: separate !important;
}

div.dataTables_length {
    float: left;
    margin-top: 5px;
}

div.dataTables_length .input-sm {
    padding:5px;
}
    
div.dataTables_info {
    padding-top: 5px;
    float: left;
    margin-top:5px;
}

div.dataTables_scrollBody tbody tr:first-child th,
div.dataTables_scrollBody tbody tr:first-child td {
    border-top: 1px solid #dedede;
}

.tr_checked {
    background-color: #f4f4f4;
}

.back-top {
    position: fixed;
    bottom: 15px;
    right: 15px;
    border: 1px solid #ccc;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    cursor: pointer;
    background-color: #fff;
    display:none;
}

.back-top:hover {
    background-color:#f4f4f4;
}

.hide_col {
    display:none;
}

.label-ok {
    background-color: #54199c;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear {
    margin-top: 7px;
}

.dataTables_scroll {
    box-shadow: 0 0 8px rgba(0,0,0,0.1);
    margin-top: 6px !important;
    margin-bottom: 6px !important;
    border-left: 1px solid #dedede;
    border-right: 1px solid #dedede;
    border-bottom: 1px solid #dedede;
}
    .dataTables_scroll table.dataTable {
        margin-top: 0 !important;
    }

.toast-middle-center {
    top: 50%;
    left: 50%;
    margin-top: -30px;
    margin-left: -150px;
}